"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestedFields = exports.OrderType = exports.RequestedFieldsEnumRequestedFields = exports.SortOrder = exports.WebhookIdentityType = exports.FeeType = exports.FeeName = exports.TaxType = exports.OrderStatus = exports.Timing = exports.NotifyActionType = exports.Status = exports.RecurrenceStatusStatus = exports.SubdivisionSubdivisionType = exports.LocationType = exports.EventType = exports.MemberEventStatusUpdatedEventType = exports.GuestType = exports.AttendanceStatus = exports.SubdivisionType = exports.onGuestUpdated = exports.onGuestOrderCanceled = exports.onGuestEventStarts = exports.onGuestEventCanceled = exports.onGuestCheckedIn = exports.onGuestDeleted = exports.onGuestCreated = exports.queryGuests = void 0;
const events_guests_v1_guest_guests_public_js_1 = require("./events-guests-v1-guest-guests.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const events_guests_v1_guest_guests_public_js_2 = require("./events-guests-v1-guest-guests.public.js");
const events_guests_v1_guest_guests_public_js_3 = require("./events-guests-v1-guest-guests.public.js");
const events_guests_v1_guest_guests_public_js_4 = require("./events-guests-v1-guest-guests.public.js");
const events_guests_v1_guest_guests_public_js_5 = require("./events-guests-v1-guest-guests.public.js");
const events_guests_v1_guest_guests_public_js_6 = require("./events-guests-v1-guest-guests.public.js");
const events_guests_v1_guest_guests_public_js_7 = require("./events-guests-v1-guest-guests.public.js");
const events_guests_v1_guest_guests_public_js_8 = require("./events-guests-v1-guest-guests.public.js");
exports.queryGuests = (0, rest_modules_1.createRESTModule)(events_guests_v1_guest_guests_public_js_1.queryGuests);
/**
 * Triggered when a guest is created.
 */
exports.onGuestCreated = (0, event_definition_modules_1.createEventModule)(events_guests_v1_guest_guests_public_js_2.onGuestCreated);
/**
 * Triggered when a guest is deleted.
 */
exports.onGuestDeleted = (0, event_definition_modules_1.createEventModule)(events_guests_v1_guest_guests_public_js_3.onGuestDeleted);
/**
 * Triggered when a guest has checked in.
 */
exports.onGuestCheckedIn = (0, event_definition_modules_1.createEventModule)(events_guests_v1_guest_guests_public_js_4.onGuestCheckedIn);
/**
 * Triggered when an event is canceled.
 */
exports.onGuestEventCanceled = (0, event_definition_modules_1.createEventModule)(events_guests_v1_guest_guests_public_js_5.onGuestEventCanceled);
/**
 * Triggered when an event has started.
 */
exports.onGuestEventStarts = (0, event_definition_modules_1.createEventModule)(events_guests_v1_guest_guests_public_js_6.onGuestEventStarts);
/**
 * Triggered when a ticket order is canceled.
 */
exports.onGuestOrderCanceled = (0, event_definition_modules_1.createEventModule)(events_guests_v1_guest_guests_public_js_7.onGuestOrderCanceled);
/**
 * Triggered when a guest is updated.
 *
 * This event always triggers together with the Guest Created and the Guest Deleted events.
 * > **Note:** Since this event may trigger twice, you should explicitly add code to ensure that the parts of your code that depend on this event run only once.
 */
exports.onGuestUpdated = (0, event_definition_modules_1.createEventModule)(events_guests_v1_guest_guests_public_js_8.onGuestUpdated);
var events_guests_v1_guest_guests_universal_js_1 = require("./events-guests-v1-guest-guests.universal.js");
Object.defineProperty(exports, "SubdivisionType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.SubdivisionType; } });
Object.defineProperty(exports, "AttendanceStatus", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.AttendanceStatus; } });
Object.defineProperty(exports, "GuestType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.GuestType; } });
Object.defineProperty(exports, "MemberEventStatusUpdatedEventType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.MemberEventStatusUpdatedEventType; } });
Object.defineProperty(exports, "EventType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.EventType; } });
Object.defineProperty(exports, "LocationType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.LocationType; } });
Object.defineProperty(exports, "SubdivisionSubdivisionType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.SubdivisionSubdivisionType; } });
Object.defineProperty(exports, "RecurrenceStatusStatus", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.RecurrenceStatusStatus; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.Status; } });
Object.defineProperty(exports, "NotifyActionType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.NotifyActionType; } });
Object.defineProperty(exports, "Timing", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.Timing; } });
Object.defineProperty(exports, "OrderStatus", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.OrderStatus; } });
Object.defineProperty(exports, "TaxType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.TaxType; } });
Object.defineProperty(exports, "FeeName", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.FeeName; } });
Object.defineProperty(exports, "FeeType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.FeeType; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.WebhookIdentityType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "RequestedFieldsEnumRequestedFields", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.RequestedFieldsEnumRequestedFields; } });
Object.defineProperty(exports, "OrderType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.OrderType; } });
Object.defineProperty(exports, "RequestedFields", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_1.RequestedFields; } });
//# sourceMappingURL=events-guests-v1-guest-guests.context.js.map